Mailrelay API Reference

Lists WhatsApp campaigns

GET https://{account}/api/v1/whatsapp/campaigns

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Lists WhatsApp campaigns.

Pagination

This is a paginated resource. You can optionally send two query parameters:

Parameter Description
page The page that you want to retrieve. It starts with 1.
per_page The number of records returned per page. The max allowed value for this resource is 100.

Parameters

NameTypeRequiredDescription
page integer No Page number
per_page integer No Number of records per page
q[id_eq] integer No Search: ID equals
q[id_gteq] integer No Search: ID greater than or equal to
q[id_lteq] integer No Search: ID less than or equal to
q[name_eq] string No Search: Name equals
q[name_cont] string No Search: Name contains
q[last_sent_at_eq] string No Search: Last sent at equals
q[last_sent_at_gteq] string No Search: Last sent at greater than or equal to
q[last_sent_at_lteq] string No Search: Last sent at less than or equal to
q[created_at_eq] string No Search: Created at equals
q[created_at_gteq] string No Search: Created at greater than or equal to
q[created_at_lteq] string No Search: Created at less than or equal to
q[updated_at_eq] string No Search: Updated at equals
q[updated_at_gteq] string No Search: Updated at greater than or equal to
q[updated_at_lteq] string No Search: Updated at less than or equal to
q[s] string No Allows ordering the records based on a specific field. You may optionally append "asc" or "desc" to define the direction. Example: "id desc"

Responses

StatusDescription
200 Success
400 The request is invalid. Check the query parameters, including that per_page isn't above the maximum allowed for this resource.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.
403 WhatsApp endpoints require the WhatsApp add-on package or a paid plan.

Response fields

NameTypeDescription
id integer ID
name string Name
whatsapp_template_id integer Whatsapp template
whatsapp_phone_number_id integer Whatsapp phone number
target string Allows you to specify to whom this campaign will be sent
segment_id integer Segment id. This is required if target is set to segment
group_ids array Groups IDs. This is required if target is set to groups. It should be an array of group ids. Example: [1, 4, 5]
last_sent_at string Last sent at
created_at string Created at
updated_at string Updated at

Response headers

NameTypeDescription
Per-Page integer Number of records returned per page.
Total integer Total number of records matching the request, ignoring pagination.
Link string RFC 5988 links to the first, prev, next and last pages. Only the applicable relations are included.